/**
 * Represents a boolean-valued filter parameter.
 */
public class BooleanFilterParam extends FilterParam {
	private final String name;
	private boolean value;
	
	// ### INIT ###
	
	/**
	 * @param name	the name of this parameter, as it will be displayed in the GUI
	 */
	public BooleanFilterParam(String name) {
		this(name, false);
	}
	
	/**
	 * @param name	the name of this parameter, as it will be displayed in the GUI
	 * @param value	the initial value of this parameter
	 */
	public BooleanFilterParam(String name, boolean value) {
		this.name = name;
		this.setValue(value);
	}
	
	// ### ACCESSORS ###
	
	public String getName() {
		return this.name;
	}
	
	public boolean getValue() {
		return this.value;
	}
	
	public void setValue(boolean value) {
		this.value = value;
	}
}